> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoinvoice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add project user

> Add a user to a project.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml /bundled/project-users.yaml POST /projects/{project_id}/project-users
openapi: 3.0.3
info:
  title: NeetoInvoice APIs
  version: 2.0.0
servers:
  - description: NeetoInvoice APIs
    url: https://{your-subdomain}.neetoinvoice.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
paths:
  /projects/{project_id}/project-users:
    post:
      tags:
        - Project Users
      summary: Add project user
      description: Add a user to a project.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/project_id_param'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/project_user_request'
      responses:
        '201':
          description: Created - Project user added successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/project_user_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    project_id_param:
      in: path
      name: project_id
      description: >-
        Unique ID of the project for which you want to retrieve or update
        details. Refer to [Getting the Project
        ID](/getting-started/getting-project-id) section for detailed
        instructions.
      required: true
      schema:
        type: string
      example: e34204233797f4b637c5
  schemas:
    project_user_request:
      type: object
      required:
        - project_user
        - email
      properties:
        project_user:
          type: object
          required:
            - user_id
            - role
          properties:
            user_id:
              type: string
              format: uuid
              description: >-
                User ID of the project user to add. Refer to [Getting the User
                ID](/getting-started/getting-user-id) section for detailed
                instructions.
              example: 5a2de667-243b-4da3-b090-b698a03d98da
            role:
              type: string
              description: Role of the project user in the project.
              enum:
                - project_manager
                - regular_user
              example: regular_user
            hourly_rate:
              type: number
              format: float
              nullable: true
              description: Hourly rate for the project user in this project.
              example: 75.5
        email:
          type: string
          format: email
          description: Email of the person adding the project user.
          example: john@example.com
    project_user_response:
      type: object
      properties:
        project_user:
          type: object
          properties:
            id:
              type: string
              format: uuid
            user_id:
              type: string
              format: uuid
            role:
              type: string
            hourly_rate:
              type: number
              format: float
              nullable: true
            name:
              type: string
            email:
              type: string
              format: email
            time_zone:
              type: string

````